Summary:    A Library for Support Vector Machines
Name:       libsvm
Version:    324
Release:    5
License:    BSD
URL:        https://www.csie.ntu.edu.tw/~cjlin/libsvm/
Source0:    https://www.csie.ntu.edu.tw/~cjlin/libsvm/%{name}-%{version}.tar.gz
Patch0001:  0001-add-build-CFLAGS-g.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc, gcc-c++, make

%description
LIBSVM is an integrated software for support vector classification,
(C-SVC, nu-SVC ), regression (epsilon-SVR, nu-SVR) and distribution
estimation (one-class SVM ). It supports multi-class classification.
Provides

%package devel
Summary:    C headers for developing programs with libsvm

%description devel
This package contains the libraries and header files needed for
developing applications with libsvm.

%prep
%setup -q
%patch0001 -p1

%build
make
make lib

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/%{name}
install -p -D svm-predict  %{buildroot}/usr/bin/ 
install -p -D svm-scale    %{buildroot}/usr/bin/ 
install -p -D svm-train    %{buildroot}/usr/bin/ 
install -m 644 svm.h %{buildroot}%{_includedir}/%{name}/
install -m 755 libsvm.so.2 %{buildroot}%{_libdir}
ln -s %{_libdir}/libsvm.so.2 %{buildroot}%{_libdir}/libsvm.so

%files
%doc COPYRIGHT FAQ.html
/usr/bin/svm-predict
/usr/bin/svm-scale
/usr/bin/svm-train

%files devel
%doc README
%{_includedir}/%{name}
%{_libdir}/libsvm.so
%{_libdir}/libsvm.so.2

%clean
rm -rf %{buildroot}

%changelog
* Wed Jul 20 2022 lvgenggeng <lvgenggeng@uniontech.com> - 324-5
- add devel package and doc
- fix changelog date

* Wed Dec 15 2021 jiangxinyu <jiangxinyu@kylinos.cn> - 324-4
- Remove the release suffix

* Tue Sep 7 2021 zhangtao<zhangtao221@huawei.com> - 324-3
- add CFLAGS -g and strip binary files

* Fri Sep 11 2020 hubble_zhu<hubble_zhu@qq.com> - 324-2
- modify Source0 path

* Thu Aug 27 2020 hubble_zhu<hubble_zhu@qq.com> - 324-1
- package init
